%define upstream_name    Test-MockTime-HiRes
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Replaces actual time with simulated high resolution time
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
'Test::MockTime::HiRes' is a the Time::HiRes manpage compatible version of
the Test::MockTime manpage. You can wait milliseconds in simulated time.

It also provides 'mock_time' to restrict the effect of the simulation in a
code block.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.80.0-2.mga10
+ Revision: 2217151
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.80.0-1.mga9
+ Revision: 1929100
- imported package perl-Test-MockTime-HiRes


* Mon Jan 02 2023 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
